# Class CopyToClipboardButtonComponent

- Defined in lib/copy-to-clipboard-button/copy-to-clipboard-button.component.ts:28

#####
Index

### Constructors

constructor

### Properties

snackbar
value

### Methods

copied

## Constructors

### constructor

- new CopyToClipboardButtonComponent(snackbar): CopyToClipboardButtonComponent

- #### Parameters

  - snackbar: MatSnackBar

  #### Returns CopyToClipboardButtonComponent

  - Defined in lib/copy-to-clipboard-button/copy-to-clipboard-button.component.ts:32

## Properties

### `Private` `Readonly` snackbar

snackbar: MatSnackBar

- Defined in lib/copy-to-clipboard-button/copy-to-clipboard-button.component.ts:32

### value

value: string = ''

- Defined in lib/copy-to-clipboard-button/copy-to-clipboard-button.component.ts:30

## Methods

### copied

- copied(): void

- #### Returns void

  - Defined in lib/copy-to-clipboard-button/copy-to-clipboard-button.component.ts:35